> ## Documentation Index
> Fetch the complete documentation index at: https://docs.api.stuut.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Collections Summary By Customer Endpoint

> Get collections summary metrics grouped by customer.



## OpenAPI

````yaml https://api.stuut.ai/openapi.json get /v2/analytics/collections/summary-by-customer
openapi: 3.1.0
info:
  title: Stuut API
  termsOfService: https://stuut.ai/terms-and-conditions
  contact:
    name: Stuut Support
    url: https://stuut.ai/
    email: devs@stuut.co
  version: 2.0.0
servers: []
security:
  - HTTPBearer: []
tags:
  - name: adjustments
    description: Operations for managing payment adjustments (fees, discounts, write-offs).
    x-displayName: Adjustments
  - name: aether
    description: Operations for aether.
    x-displayName: Aether
  - name: analytics
    description: Operations for retrieving analytics and dashboard data.
    x-displayName: Analytics
  - name: assistant
    description: Operations for the in-app chat assistant.
    x-displayName: Assistant
  - name: audit-log
    description: Operations for retrieving the organization's audit log.
    x-displayName: Audit Log
  - name: bank-accounts
    description: Operations for retrieving and managing bank accounts.
    x-displayName: Bank Accounts
  - name: bank-statements
    description: Operations for retrieving and managing bank statements.
    x-displayName: Bank Statements
  - name: bank-transactions
    description: Operations for retrieving and managing bank transactions.
    x-displayName: Bank Transactions
  - name: business-units
    description: Operations for listing and managing business units.
    x-displayName: Business Units
  - name: call-agent
    description: >-
      Operations for initiating and managing real-time voice calls with
      partners.
    x-displayName: Call Agent
  - name: calls
    description: Operations for retrieving and managing voice call records.
    x-displayName: Calls
  - name: cash-app
    description: Operations for cash application — matching incoming payments to invoices.
    x-displayName: Cash Application
  - name: chats
    description: Operations for managing chat conversations.
    x-displayName: Chats
  - name: cnam-registration
    description: Operations for managing CNAM (caller ID name) registration.
    x-displayName: CNAM Registration
  - name: credit-memos
    description: Operations for retrieving and searching credit memos.
    x-displayName: Credit Memos
  - name: custom-table-templates
    description: >-
      Operations for managing custom table templates used in email template
      variables.
    x-displayName: Custom Table Templates
  - name: customer-segments
    description: Operations for managing customer segments.
    x-displayName: Customer Segments
  - name: deductions-knowledge
    description: Operations for managing deduction processing knowledge entries.
    x-displayName: Deductions Knowledge
  - name: email-threads
    description: Operations for managing email threads.
    x-displayName: Email Threads
  - name: emails
    description: Operations for retrieving and managing emails.
    x-displayName: Emails
  - name: exports
    description: Operations for requesting and retrieving async data exports.
    x-displayName: Exports
  - name: integrations
    description: >-
      Operations for managing integrations with external systems (e.g. ERP, CRM,
      etc.).
    x-displayName: Integrations
  - name: internal-contacts
    description: >-
      Operations for managing internal contacts (CSMs, account managers, etc.)
      and their assignments to partners.
    x-displayName: Internal Contacts
  - name: invoices
    description: Operations for retrieving and managing invoices.
    x-displayName: Invoices
  - name: kyb
    description: Operations for Know Your Business (KYB) verification.
    x-displayName: KYB
  - name: ledger-accounts
    description: Operations for retrieving and managing ledger accounts.
    x-displayName: Ledger Accounts
  - name: mailbox-settings
    description: >-
      Operations for an organization's mailbox provider configuration: Microsoft
      admin consent, shared-mailbox discovery, and provider health.
    x-displayName: Mailbox Settings
  - name: mailboxes
    description: >-
      Operations for connecting, listing, updating, and archiving user and
      shared mailboxes, including delegated OAuth sign-in.
    x-displayName: Mailboxes
  - name: media
    description: >-
      Operations for signing direct-to-storage media uploads (e.g. signature
      images).
    x-displayName: Media
  - name: organizations
    description: Operations for retrieving and managing the current organization.
    x-displayName: Organizations
  - name: outreach-workflows
    description: Operations for managing automated collections outreach workflows.
    x-displayName: Outreach Workflows
  - name: partners
    description: Operations for retrieving and managing customers.
    x-displayName: Partners
  - name: payments
    description: Operations for approving and managing payments.
    x-displayName: Payments
  - name: report-configs
    description: >-
      Operations for managing report configurations (frequency, recipients,
      schedule).
    x-displayName: Report Configs
  - name: sms-campaign-registration
    description: Operations for managing A2P 10DLC SMS campaign registration.
    x-displayName: SMS Campaign Registration
  - name: sms-templates
    description: >-
      Operations for defining, storing, and managing parameterized SMS message
      templates.
    x-displayName: SMS Templates
  - name: sms-threads
    description: Operations for retrieving and managing SMS conversation threads.
    x-displayName: SMS Threads
  - name: users
    description: Operations for retrieving and managing users.
    x-displayName: Users
  - name: users-ooo
    description: Operations for managing user out-of-office (OOO) status and coverage.
    x-displayName: Users OOO
paths:
  /v2/analytics/collections/summary-by-customer:
    get:
      tags:
        - analytics
      summary: Get Collections Summary By Customer Endpoint
      description: Get collections summary metrics grouped by customer.
      operationId: GetAnalyticsCollectionsSummaryByCustomer
      parameters:
        - name: interval
          in: query
          required: false
          schema:
            enum:
              - weekly
              - monthly
              - all
            type: string
            x-speakeasy-enum-format: union
            description: Time interval for grouping data.
            default: monthly
          description: Time interval for grouping data.
        - name: business_unit_id__in
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            description: Filter by business unit IDs
          description: Filter by business unit IDs
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CollectionsSummaryByCustomerResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    CollectionsSummaryByCustomerResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/CollectionsSummaryByCustomerLineSchema'
          type: array
          title: ''
      type: object
      required:
        - data
      title: CollectionsSummaryByCustomerResponse
    HTTPValidationError:
      $defs:
        ValidationError:
          properties:
            loc:
              items:
                anyOf:
                  - type: string
                  - type: integer
              title: Location
              type: array
            msg:
              title: Message
              type: string
            type:
              title: Type
              type: string
          required:
            - loc
            - msg
            - type
          title: ValidationError
          type: object
          x-speakeasy-include: true
      properties:
        type:
          const: request-validation
          title: Type
          type: string
        detail:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: Human-readable description of this specific problem.
          title: Detail
          x-speakeasy-error-message: true
        status:
          const: 422
          title: Status
          type: integer
        title:
          description: Short human-readable summary of the problem.
          title: Title
          type: string
          x-speakeasy-error-message: true
        errors:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Errors
          type: array
      required:
        - type
        - status
        - title
        - errors
      title: APIError
      type: object
    CollectionsSummaryByCustomerLineSchema:
      properties:
        partner_id:
          type: string
          title: ''
          description: The customer/partner ID.
        partner_name:
          type: string
          title: ''
          description: The customer/partner name.
        partner_account_number:
          anyOf:
            - type: string
            - type: 'null'
          title: ''
          description: The customer/partner account number.
        period_start:
          type: string
          format: date
          title: ''
          description: The period start date.
        period_end:
          type: string
          format: date
          title: ''
          description: The period end date.
        balance:
          type: integer
          title: ''
          description: Total open balance in cents.
        amount_overdue:
          type: integer
          title: ''
          description: Total remaining overdue for the period in cents.
        amount_collected:
          type: integer
          title: ''
          description: Total amount collected in cents.
        amount_collected_stuut_touched:
          type: integer
          title: ''
          description: Total amount collected with Stuut in cents.
        amount_collected_automated:
          type: integer
          title: ''
          description: Total amount collected through Stuut automation in cents.
        amount_collected_other:
          type: integer
          title: ''
          description: Total amount collected outside of Stuut in cents.
        amount_issued:
          type: integer
          title: ''
          description: Total amount issued in cents.
        amount_issued_stuut_touched:
          type: integer
          title: ''
          description: Total amount issued for invoices touched by Stuut in cents.
        total_invoice_amount:
          anyOf:
            - type: integer
            - type: 'null'
          title: ''
          description: Total invoice amount for invoices issued in the period in cents.
        amount_overdue_stuut_touched:
          type: integer
          title: ''
          description: Total remaining overdue (Stuut touched) in cents.
        amount_receivables:
          type: integer
          title: ''
          description: Total accounts receivable in cents.
        amount_receivables_stuut_touched:
          type: integer
          title: ''
          description: Total accounts receivable (Stuut touched) in cents.
        balance_stuut_touched:
          type: integer
          title: ''
          description: Total open balance of invoices touched by Stuut in cents.
        balance_for_period:
          type: integer
          title: ''
          description: Total open balance for the period in cents.
        balance_for_period_stuut_touched:
          type: integer
          title: ''
          description: Total open balance for the period (Stuut touched) in cents.
        balance_period_start:
          type: integer
          title: ''
          description: Total open balance at period start in cents.
        balance_period_start_stuut_touched:
          type: integer
          title: ''
          description: Total open balance at period start (Stuut touched) in cents.
        dso:
          anyOf:
            - type: number
            - type: 'null'
          title: ''
          description: Days sales outstanding.
        dso_stuut_touched:
          anyOf:
            - type: number
            - type: 'null'
          title: ''
          description: Days sales outstanding (Stuut touched).
        invoices_collected:
          type: integer
          title: ''
          description: Total number of invoices collected.
        invoices_collected_stuut_touched:
          type: integer
          title: ''
          description: Total number of invoices collected (Stuut touched).
        invoices_issued:
          type: integer
          title: ''
          description: Total number of invoices issued.
        invoices_open:
          type: integer
          title: ''
          description: Total number of open invoices.
        invoices_overdue:
          type: integer
          title: ''
          description: Total number of overdue invoices.
        invoices_paid:
          type: integer
          title: ''
          description: Total number of paid invoices.
        invoices_touched:
          type: integer
          title: ''
          description: Total number of invoices touched by Stuut.
        invoices_touched_and_collected:
          type: integer
          title: ''
          description: Total number of invoices touched and collected by Stuut.
        invoices_touched_and_collected_ratio:
          type: number
          title: ''
          description: Ratio of invoices touched and collected by Stuut.
        avg_days_to_pay_from_due:
          type: number
          title: ''
          description: Average days to payment from due date.
        avg_days_to_pay_from_issued:
          type: number
          title: ''
          description: Average days to payment from issued date.
      type: object
      required:
        - partner_id
        - partner_name
        - partner_account_number
        - period_start
        - period_end
        - balance
        - amount_overdue
        - amount_collected
        - amount_collected_stuut_touched
        - amount_collected_automated
        - amount_collected_other
        - amount_issued
        - amount_issued_stuut_touched
        - total_invoice_amount
        - amount_overdue_stuut_touched
        - amount_receivables
        - amount_receivables_stuut_touched
        - balance_stuut_touched
        - balance_for_period
        - balance_for_period_stuut_touched
        - balance_period_start
        - balance_period_start_stuut_touched
        - dso
        - dso_stuut_touched
        - invoices_collected
        - invoices_collected_stuut_touched
        - invoices_issued
        - invoices_open
        - invoices_overdue
        - invoices_paid
        - invoices_touched
        - invoices_touched_and_collected
        - invoices_touched_and_collected_ratio
        - avg_days_to_pay_from_due
        - avg_days_to_pay_from_issued
      title: CollectionsSummaryByCustomerLine
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          type: string
          title: Type
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
      x-speakeasy-include: true
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````